import { ApiClient, TableDataRequest, BugSplatResponse, TableDataResponse } from '../../../index';
export declare class TableDataClient {
    private _apiClient;
    private _url;
    constructor(_apiClient: ApiClient, _url: string);
    postGetData<T, U = Record<string, unknown> | undefined>(request: TableDataRequest, formParts?: Record<string, string>): Promise<BugSplatResponse<TableDataResponse<T, U>>>;
    getData<T, U = Record<string, unknown> | undefined>(request: TableDataRequest): Promise<BugSplatResponse<TableDataResponse<T, U>>>;
    private makeRequest;
}
export type RawResponse<T> = Array<{
    [Property in keyof T as Capitalize<string & Property>]: T[Property];
}>;
