"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventType = void 0;
exports.createEvents = createEvents;
var EventType;
(function (EventType) {
    EventType["Comment"] = "Comment";
    EventType["AddCrashDefect"] = "AddCrashDefect";
    EventType["RemoveCrashDefect"] = "RemoveCrashDefect";
    EventType["AddStackKeyDefect"] = "AddStackKeyDefect";
    EventType["RemoveStackKeyDefect"] = "RemoveStackKeyDefect";
    EventType["StackKeyDefectStatusOpen"] = "StackKeyDefectStatusOpen";
    EventType["StackKeyDefectStatusClosed"] = "StackKeyDefectStatusClosed";
    EventType["StackKeyDefectStatusRegression"] = "StackKeyDefectStatusRegression";
})(EventType || (exports.EventType = EventType = {}));
function createEvents(events) {
    return events.map(function (event) {
        var id = Number(event.id);
        var uId = Number(event.uId);
        var type = event.type;
        return __assign(__assign({}, event), { id: id, uId: uId, type: type });
    });
}
//# sourceMappingURL=event.js.map