import { ApiClient, BugSplatResponse } from '../../common/index';
export declare class IssueApiClient {
    private _client;
    constructor(_client: ApiClient);
    postStackKeyIssue(database: string, stackKeyId: number, notes: string, linkDefectId?: string): Promise<BugSplatResponse<IssuePostSuccessResponse>>;
    deleteStackKeyIssue(database: string, stackKeyId: number): Promise<BugSplatResponse<IssueDeleteSuccessResponse>>;
}
type IssuePostSuccessResponse = {
    status: string;
    stackKeyId: number;
    defectId: string;
};
type IssueDeleteSuccessResponse = {
    status: string;
    stackKeyId: number;
};
export {};
