import { ApiClient, BugSplatResponse, GZippedSymbolFile } from '../../common/index';
export declare class SymbolsApiClient {
    private _client;
    private readonly uploadUrl;
    private readonly uploadCompleteUrl;
    private _s3ApiClient;
    private _timer;
    constructor(_client: ApiClient);
    postSymbols(database: string, application: string, version: string, files: Array<GZippedSymbolFile>): Promise<Array<BugSplatResponse>>;
    private getPresignedUrl;
    private postUploadComplete;
    private isGzipMagicBytes;
}
