export async function safeCancel(stream) {
    return stream.cancel().catch((err) => {
        if (err.code === 'ERR_INVALID_STATE') {
            return;
        }
        throw err;
    });
}
//# sourceMappingURL=cancel.js.map