import { ApiClient, BugSplatResponse, TableDataResponse } from '../../common/index';
import { CrashesApiRow } from '../index';
import { KeyCrashPageData } from './key-crash-page-data';
import { KeyCrashTableDataRequest } from './key-crash-table-data-request';
export declare class KeyCrashApiClient {
    private _client;
    private _tableDataClient;
    constructor(_client: ApiClient);
    getCrashes(request: KeyCrashTableDataRequest): Promise<TableDataResponse<CrashesApiRow, KeyCrashPageData>>;
    postNotes(database: string, stackKeyId: number, notes: string): Promise<BugSplatResponse>;
}
