import { BugSplatResponse, Environment, UploadableFile } from '../common/index';
import { CrashType } from './index';
import { PostCrashResponse } from './post-crash-response';
export declare class CrashPostClient {
    private _database;
    private _environment;
    private _processor;
    private _processorApiClient;
    private _s3ApiClient;
    constructor(_database: string, _environment?: Environment, _processor?: string);
    postCrash(application: string, version: string, type: CrashType, file: UploadableFile, attributes?: Record<string, string>): Promise<BugSplatResponse<PostCrashResponse>>;
    private getCrashUploadUrl;
    private commitS3CrashUpload;
}
