import { ApiClient, BugSplatResponse } from '../../index';
import { OAuthLoginResponse } from './oauth-login-response';
export declare class OAuthClientCredentialsClient implements ApiClient {
    private _clientId;
    private _clientSecret;
    private _host;
    private _accessToken;
    private _tokenType;
    private _createFormData;
    private _fetch;
    constructor(_clientId: string, _clientSecret: string, _host?: string);
    static createAuthenticatedClient(clientId: string, clientSecret: string, host?: string): Promise<OAuthClientCredentialsClient>;
    login(): Promise<BugSplatResponse<OAuthLoginResponse>>;
    createFormData(): FormData;
    fetch<T>(route: string, init?: RequestInit): Promise<BugSplatResponse<T>>;
}
