"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CrashType = void 0;
var CrashType = (function () {
    function CrashType(name, id) {
        this.name = name;
        this.id = id;
    }
    CrashType.crashpad = new CrashType('Crashpad', 5);
    CrashType.dotnet = new CrashType('Windows.NET', 8);
    CrashType.electron = new CrashType('Electron', 22);
    CrashType.native = new CrashType('Windows.Native', 1);
    CrashType.mac = new CrashType('macOS', 13);
    CrashType.ps4 = new CrashType('PlayStation 4', 28);
    CrashType.ps5 = new CrashType('PlayStation 5', 29);
    CrashType.xml = new CrashType('Xml.Report', 21);
    return CrashType;
}());
exports.CrashType = CrashType;
//# sourceMappingURL=crash-type.js.map