import { QueryFilter, FilterOperator } from '../../../index';
export declare class QueryFilterGroup {
    filters: Array<QueryFilter>;
    filterOperator: FilterOperator;
    groupOperator: FilterOperator;
    constructor(filters: Array<QueryFilter>, filterOperator?: FilterOperator, groupOperator?: FilterOperator);
    static fromApiTableFilter(filter: QueryFilter): QueryFilterGroup;
    static fromColumnValues(values: Array<string>, columnName: string, filterOperator?: FilterOperator): QueryFilterGroup;
    static fromTimeFrame(columnName: string, startDate?: Date, endDate?: Date): QueryFilterGroup;
}
