import { Event } from '../../events/index';
import { DefectTrackerType } from '../../crash/crash-details/crash-details';
import { EventResponseObject } from '../../events/events-api-client/event';
export interface KeyCrashPageData {
    stackKeyId: number;
    stackKey: string;
    defectTracker: boolean;
    defectTrackerType: DefectTrackerType;
    stackKeyDefectId: number;
    stackKeyDefectUrl: string;
    stackKeyDefectLabel: string;
    stackKeyComments: string;
    firstCrashTime: string;
    lastCrashTime: string;
    events: Array<Event>;
}
export declare function createKeyCrashPageData(pageData: KeyCrashPageDataRawResponse): KeyCrashPageData;
export type KeyCrashPageDataRawResponse = Omit<KeyCrashPageData, 'events'> & {
    events: Array<EventResponseObject>;
};
