import { ApiClient, BugSplatResponse } from '../../common/index';
import { Event } from '../index';
export declare class EventsApiClient {
    private _client;
    constructor(_client: ApiClient);
    getEventsForCrashId(database: string, crashId: number): Promise<Array<Event>>;
    getEventsForStackKeyId(database: string, stackKeyId: number): Promise<Array<Event>>;
    postCrashComment(database: string, crashId: number, comment: string): Promise<BugSplatResponse<EventPostSuccessResponse>>;
    postStackKeyComment(database: string, stackKeyId: number, comment: string): Promise<BugSplatResponse<EventPostSuccessResponse>>;
    private getEvents;
}
type EventPostSuccessResponse = {
    messageId: number;
    status: string;
};
export {};
