export class CrashType {
    name;
    id;
    static crashpad = new CrashType('Crashpad', 5);
    static dotnet = new CrashType('Windows.NET', 8);
    static electron = new CrashType('Electron', 22);
    static native = new CrashType('Windows.Native', 1);
    static mac = new CrashType('macOS', 13);
    static ps4 = new CrashType('PlayStation 4', 28);
    static ps5 = new CrashType('PlayStation 5', 29);
    static xml = new CrashType('Xml.Report', 21);
    constructor(name, id) {
        this.name = name;
        this.id = id;
    }
}
//# sourceMappingURL=crash-type.js.map